var path = require('path'),
fs = require('fs'),
scaffoldit = require('scaffoldit');

module.exports = function(ops, callback) {
	
	var name = path.basename(ops.path);

	ops._src = ops.path;
	ops._dest = ops.cwd + '/' + name;
	ops.year = new Date().getFullYear();

	scaffoldit({
		
		params: ops,
		
		input: {
			'fullName': {
				msg: 'What is your name?'
			}
		},
		
		build: scaffoldit.toFile,
		complete: callback
	});
}